org.apache.struts2.tiles

## Class StrutsTilesInitializer

- java.lang.Object
- - org.apache.tiles.startup.AbstractTilesInitializer
  - - org.apache.struts2.tiles.StrutsTilesInitializer

- All Implemented Interfaces:
    org.apache.tiles.startup.TilesInitializer

      public class StrutsTilesInitializer
      extends org.apache.tiles.startup.AbstractTilesInitializer

- - ### Field Summary

    - ### Fields inherited from class org.apache.tiles.startup.AbstractTilesInitializer

      `CONTAINER_KEY_INIT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrutsTilesInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.tiles.factory.AbstractTilesContainerFactory` | `createContainerFactory(org.apache.tiles.request.ApplicationContext context)`
    `protected org.apache.tiles.request.ApplicationContext` | `createTilesApplicationContext(org.apache.tiles.request.ApplicationContext preliminaryContext)`

    - ### Methods inherited from class org.apache.tiles.startup.AbstractTilesInitializer

      `createContainer, destroy, getContainerKey, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrutsTilesInitializer

          public StrutsTilesInitializer()

  - ### Method Detail

    - #### createTilesApplicationContext

          protected org.apache.tiles.request.ApplicationContext createTilesApplicationContext(org.apache.tiles.request.ApplicationContext preliminaryContext)

      Overrides:
        `createTilesApplicationContext` in class `org.apache.tiles.startup.AbstractTilesInitializer`

    - #### createContainerFactory

          protected org.apache.tiles.factory.AbstractTilesContainerFactory createContainerFactory(org.apache.tiles.request.ApplicationContext context)

      Specified by:
        `createContainerFactory` in class `org.apache.tiles.startup.AbstractTilesInitializer`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.